> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Instiution

> country Code



## OpenAPI

````yaml /openapi/collections.json post /merchant/global-collections-institutions
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/global-collections-institutions:
    post:
      tags:
        - ''
      summary: Get Instiution
      description: country Code
      operationId: Check for country code
      requestBody:
        description: country code details
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CollectionInstitution'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionInstitutionResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    CollectionInstitution:
      required:
        - countryCode
      type: object
      properties:
        countryCode:
          type: string
          example: NG
          description: Countries available are GB, FR, ES, BE, DE, IE, NL
    CollectionInstitutionResponse:
      type: object
      properties:
        status:
          type: integer
          example: 200
        message:
          type: string
          example: banks fetched successfully
        data:
          type: object
          properties:
            businessBank:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    example: aibgbbusiness
                  name:
                    type: string
                    example: Allied Irish Bank Business
                  fullName:
                    type: string
                    example: Allied Irish Bank Business
                  media:
                    type: array
                    items:
                      type: object
                      properties:
                        source:
                          type: string
                          format: uri
                          example: https://images.yapily.com/image/1c4cd8c7308
                        type:
                          type: string
                          example: icon
            personalBanks:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    example: aibgb
                  name:
                    type: string
                    example: Allied Irish Bank
                  fullName:
                    type: string
                    example: Allied Irish Bank
                  media:
                    type: array
                    items:
                      type: object
                      properties:
                        source:
                          type: string
                          format: uri
                          example: https://images.yapily.com/image/1c4cd8c7308
                        type:
                          type: string
                          example: icon
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.